Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UserStatus

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.UserStatus

Direct Known Subclasses:
  `TdApi.UserStatusEmpty`, `TdApi.UserStatusLastMonth`, `TdApi.UserStatusLastWeek`, `TdApi.UserStatusOffline`, `TdApi.UserStatusOnline`, `TdApi.UserStatusRecently`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.UserStatus extends TdApi.Object permits TdApi.UserStatusEmpty, TdApi.UserStatusOnline, TdApi.UserStatusOffline, TdApi.UserStatusRecently, TdApi.UserStatusLastWeek, TdApi.UserStatusLastMonth
This class is an abstract base class. Describes the last time the user was online.

## Constructor Summary

Constructors
Constructor
Description
`UserStatus()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UserStatus

public UserStatus()
Default class constructor.